ru.yandex.clickhouse.settings

## Class ClickHouseProperties

- java.lang.Object
- - ru.yandex.clickhouse.settings.ClickHouseProperties

    public class ClickHouseProperties
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ClickHouseProperties()`
`ClickHouseProperties(ClickHouseProperties properties)`
`ClickHouseProperties(Properties info)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Properties` `asProperties()`
`Map<ClickHouseQueryParam,String>` `buildQueryParams(boolean ignoreDatabase)`
`int` `getApacheBufferSize()`
`int` `getBufferSize()`
`int` `getConnectionTimeout()`
`String` `getDatabase()`
`int` `getDataTransferTimeout()`
`int` `getDefaultMaxPerRoute()`
`Boolean` `getEnableOptimizePredicateExpression()`
`String` `getHost()`
`String` `getHttpAuthorization()`
`Long` `getInsertQuorum()`
`Long` `getInsertQuorumTimeout()`
`int` `getKeepAliveTimeout()`
`Integer` `getMaxBlockSize()`
`Long` `getMaxBytesBeforeExternalGroupBy()`
`Long` `getMaxBytesBeforeExternalSort()`
`int` `getMaxCompressBufferSize()`
`Integer` `getMaxExecutionTime()`
`Long` `getMaxMemoryUsage()`
`Integer` `getMaxParallelReplicas()`
`Long` `getMaxQuerySize()`
`Integer` `getMaxRowsToGroupBy()`
`Integer` `getMaxThreads()`
`int` `getMaxTotal()`
`String` `getPassword()`
`int` `getPort()`
`Long` `getPreferredBlockSizeBytes()`
`Integer` `getPriority()`
`String` `getProfile()`
`String` `getQuotaKey()`
`Long` `getSelectSequentialConsistency()`
`String` `getSessionId()`
`Long` `getSessionTimeout()`
`int` `getSocketTimeout()`
`boolean` `getSsl()`
`String` `getSslMode()`
`String` `getSslRootCertificate()`
`int` `getTimeToLiveMillis()`
`String` `getTotalsMode()`
`String` `getUser()`
`String` `getUseTimeZone()`
`boolean` `isAsync()`
`boolean` `isCompress()`
`boolean` `isDecompress()`
`boolean` `isDistributedAggregationMemoryEfficient()`
`boolean` `isExtremes()`
`boolean` `isSessionCheck()`
`boolean` `isUseObjectsInArrays()`
`boolean` `isUseServerTimeZone()`
`boolean` `isUseServerTimeZoneForDates()`
`ClickHouseProperties` `merge(ClickHouseProperties second)`
`void` `setApacheBufferSize(int apacheBufferSize)`
`void` `setAsync(boolean async)`
`void` `setBufferSize(int bufferSize)`
`void` `setCompress(boolean compress)`
`void` `setConnectionTimeout(int connectionTimeout)`
`void` `setDatabase(String database)`
`void` `setDataTransferTimeout(int dataTransferTimeout)`
`void` `setDecompress(boolean decompress)`
`void` `setDefaultMaxPerRoute(int defaultMaxPerRoute)`
`void` `setDistributedAggregationMemoryEfficient(boolean distributedAggregationMemoryEfficient)`
`void` `setEnableOptimizePredicateExpression(Boolean enableOptimizePredicateExpression)`
`void` `setExtremes(boolean extremes)`
`void` `setHost(String host)`
`void` `setHttpAuthorization(String httpAuthorization)`
`void` `setInsertQuorum(Long insertQuorum)`
`void` `setInsertQuorumTimeout(Long insertQuorumTimeout)`
`void` `setKeepAliveTimeout(int keepAliveTimeout)`
`void` `setMaxBlockSize(Integer maxBlockSize)`
`void` `setMaxBytesBeforeExternalGroupBy(Long maxBytesBeforeExternalGroupBy)`
`void` `setMaxBytesBeforeExternalSort(Long maxBytesBeforeExternalSort)`
`void` `setMaxCompressBufferSize(int maxCompressBufferSize)`
`void` `setMaxExecutionTime(Integer maxExecutionTime)`
`void` `setMaxMemoryUsage(Long maxMemoryUsage)`
`void` `setMaxParallelReplicas(Integer maxParallelReplicas)`
`void` `setMaxQuerySize(Long maxQuerySize)`
`void` `setMaxRowsToGroupBy(Integer maxRowsToGroupBy)`
`void` `setMaxThreads(Integer maxThreads)`
`void` `setMaxTotal(int maxTotal)`
`void` `setPassword(String password)`
`void` `setPort(int port)`
`void` `setPreferredBlockSizeBytes(Long preferredBlockSizeBytes)`
`void` `setPriority(Integer priority)`
`void` `setProfile(String profile)`
`void` `setQuotaKey(String quotaKey)`
`void` `setSelectSequentialConsistency(Long selectSequentialConsistency)`
`void` `setSessionCheck(boolean sessionCheck)`
`void` `setSessionId(String sessionId)`
`void` `setSessionTimeout(Long sessionTimeout)`
`void` `setSocketTimeout(int socketTimeout)`
`void` `setSsl(boolean ssl)`
`void` `setSslMode(String sslMode)`
`void` `setSslRootCertificate(String sslRootCertificate)`
`void` `setTimeToLiveMillis(int timeToLiveMillis)`
`void` `setTotalsMode(String totalsMode)`
`void` `setUseObjectsInArrays(boolean useObjectsInArrays)`
`void` `setUser(String user)`
`void` `setUseServerTimeZone(boolean useServerTimeZone)`
`void` `setUseServerTimeZoneForDates(boolean useServerTimeZoneForDates)`
`void` `setUseTimeZone(String useTimeZone)`
`ClickHouseProperties` `withCredentials(String user, String password)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClickHouseProperties

    public ClickHouseProperties()

#### ClickHouseProperties

    public ClickHouseProperties(Properties info)

#### ClickHouseProperties

    public ClickHouseProperties(ClickHouseProperties properties)

### Method Detail

#### asProperties

    public Properties asProperties()

#### buildQueryParams

    public Map<ClickHouseQueryParam,String> buildQueryParams(boolean ignoreDatabase)

#### withCredentials

    public ClickHouseProperties withCredentials(String user,
                                                String password)

#### getProfile

    public String getProfile()

#### setProfile

    public void setProfile(String profile)

#### isCompress

    public boolean isCompress()

#### setCompress

    public void setCompress(boolean compress)

#### isDecompress

    public boolean isDecompress()

#### setDecompress

    public void setDecompress(boolean decompress)

#### isAsync

    public boolean isAsync()

#### setAsync

    public void setAsync(boolean async)

#### getMaxThreads

    public Integer getMaxThreads()

#### setMaxThreads

    public void setMaxThreads(Integer maxThreads)

#### getMaxBlockSize

    public Integer getMaxBlockSize()

#### setMaxBlockSize

    public void setMaxBlockSize(Integer maxBlockSize)

#### getBufferSize

    public int getBufferSize()

#### setBufferSize

    public void setBufferSize(int bufferSize)

#### getApacheBufferSize

    public int getApacheBufferSize()

#### setApacheBufferSize

    public void setApacheBufferSize(int apacheBufferSize)

#### getSocketTimeout

    public int getSocketTimeout()

#### setSocketTimeout

    public void setSocketTimeout(int socketTimeout)

#### getConnectionTimeout

    public int getConnectionTimeout()

#### setConnectionTimeout

    public void setConnectionTimeout(int connectionTimeout)

#### getDataTransferTimeout

    public int getDataTransferTimeout()

#### setDataTransferTimeout

    public void setDataTransferTimeout(int dataTransferTimeout)

#### getKeepAliveTimeout

    public int getKeepAliveTimeout()

#### setKeepAliveTimeout

    public void setKeepAliveTimeout(int keepAliveTimeout)

#### getUser

    public String getUser()

#### setUser

    public void setUser(String user)

#### getTimeToLiveMillis

    public int getTimeToLiveMillis()

#### setTimeToLiveMillis

    public void setTimeToLiveMillis(int timeToLiveMillis)

#### getDefaultMaxPerRoute

    public int getDefaultMaxPerRoute()

#### setDefaultMaxPerRoute

    public void setDefaultMaxPerRoute(int defaultMaxPerRoute)

#### getMaxTotal

    public int getMaxTotal()

#### setMaxTotal

    public void setMaxTotal(int maxTotal)

#### getMaxCompressBufferSize

    public int getMaxCompressBufferSize()

#### setMaxCompressBufferSize

    public void setMaxCompressBufferSize(int maxCompressBufferSize)

#### getSsl

    public boolean getSsl()

#### setSsl

    public void setSsl(boolean ssl)

#### getSslRootCertificate

    public String getSslRootCertificate()

#### setSslRootCertificate

    public void setSslRootCertificate(String sslRootCertificate)

#### getSslMode

    public String getSslMode()

#### setSslMode

    public void setSslMode(String sslMode)

#### isUseServerTimeZone

    public boolean isUseServerTimeZone()

#### setUseServerTimeZone

    public void setUseServerTimeZone(boolean useServerTimeZone)

#### getUseTimeZone

    public String getUseTimeZone()

#### setUseTimeZone

    public void setUseTimeZone(String useTimeZone)

#### isUseObjectsInArrays

    public boolean isUseObjectsInArrays()

#### setUseObjectsInArrays

    public void setUseObjectsInArrays(boolean useObjectsInArrays)

#### isUseServerTimeZoneForDates

    public boolean isUseServerTimeZoneForDates()

#### setUseServerTimeZoneForDates

    public void setUseServerTimeZoneForDates(boolean useServerTimeZoneForDates)

#### getMaxParallelReplicas

    public Integer getMaxParallelReplicas()

#### setMaxParallelReplicas

    public void setMaxParallelReplicas(Integer maxParallelReplicas)

#### getTotalsMode

    public String getTotalsMode()

#### setTotalsMode

    public void setTotalsMode(String totalsMode)

#### getQuotaKey

    public String getQuotaKey()

#### setQuotaKey

    public void setQuotaKey(String quotaKey)

#### getPriority

    public Integer getPriority()

#### setPriority

    public void setPriority(Integer priority)

#### getDatabase

    public String getDatabase()

#### setDatabase

    public void setDatabase(String database)

#### isExtremes

    public boolean isExtremes()

#### setExtremes

    public void setExtremes(boolean extremes)

#### getMaxExecutionTime

    public Integer getMaxExecutionTime()

#### setMaxExecutionTime

    public void setMaxExecutionTime(Integer maxExecutionTime)

#### getMaxRowsToGroupBy

    public Integer getMaxRowsToGroupBy()

#### setMaxRowsToGroupBy

    public void setMaxRowsToGroupBy(Integer maxRowsToGroupBy)

#### getPassword

    public String getPassword()

#### setPassword

    public void setPassword(String password)

#### getHttpAuthorization

    public String getHttpAuthorization()

#### setHttpAuthorization

    public void setHttpAuthorization(String httpAuthorization)

#### getHost

    public String getHost()

#### setHost

    public void setHost(String host)

#### getPort

    public int getPort()

#### setPort

    public void setPort(int port)

#### isDistributedAggregationMemoryEfficient

    public boolean isDistributedAggregationMemoryEfficient()

#### setDistributedAggregationMemoryEfficient

    public void setDistributedAggregationMemoryEfficient(boolean distributedAggregationMemoryEfficient)

#### getMaxBytesBeforeExternalGroupBy

    public Long getMaxBytesBeforeExternalGroupBy()

#### setMaxBytesBeforeExternalGroupBy

    public void setMaxBytesBeforeExternalGroupBy(Long maxBytesBeforeExternalGroupBy)

#### getMaxBytesBeforeExternalSort

    public Long getMaxBytesBeforeExternalSort()

#### setMaxBytesBeforeExternalSort

    public void setMaxBytesBeforeExternalSort(Long maxBytesBeforeExternalSort)

#### getMaxMemoryUsage

    public Long getMaxMemoryUsage()

#### setMaxMemoryUsage

    public void setMaxMemoryUsage(Long maxMemoryUsage)

#### getPreferredBlockSizeBytes

    public Long getPreferredBlockSizeBytes()

#### setPreferredBlockSizeBytes

    public void setPreferredBlockSizeBytes(Long preferredBlockSizeBytes)

#### getMaxQuerySize

    public Long getMaxQuerySize()

#### setMaxQuerySize

    public void setMaxQuerySize(Long maxQuerySize)

#### isSessionCheck

    public boolean isSessionCheck()

#### setSessionCheck

    public void setSessionCheck(boolean sessionCheck)

#### getSessionId

    public String getSessionId()

#### setSessionId

    public void setSessionId(String sessionId)

#### getSessionTimeout

    public Long getSessionTimeout()

#### setSessionTimeout

    public void setSessionTimeout(Long sessionTimeout)

#### getInsertQuorum

    public Long getInsertQuorum()

#### setInsertQuorum

    public void setInsertQuorum(Long insertQuorum)

#### getInsertQuorumTimeout

    public Long getInsertQuorumTimeout()

#### setInsertQuorumTimeout

    public void setInsertQuorumTimeout(Long insertQuorumTimeout)

#### getSelectSequentialConsistency

    public Long getSelectSequentialConsistency()

#### setSelectSequentialConsistency

    public void setSelectSequentialConsistency(Long selectSequentialConsistency)

#### getEnableOptimizePredicateExpression

    public Boolean getEnableOptimizePredicateExpression()

#### setEnableOptimizePredicateExpression

    public void setEnableOptimizePredicateExpression(Boolean enableOptimizePredicateExpression)

#### merge

    public ClickHouseProperties merge(ClickHouseProperties second)